diff --git a/Makefile.am b/Makefile.am
index 67e2bd1..bbd7b08 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -140,7 +140,8 @@ endif
 
 if HAVE_CMOCKA
     non_interactive_cmocka_based_tests = \
-	nss-srv-tests
+	nss-srv-tests \
+        test-find-uid
 endif
 
 check_PROGRAMS = \
@@ -1196,6 +1197,25 @@ nss_srv_tests_LDFLAGS = \
 nss_srv_tests_LDADD = \
     $(CMOCKA_LIBS) \
     libsss_util.la
+
+test_find_uid_DEPENDENCIES = \
+    $(ldblib_LTLIBRARIES)
+test_find_uid_SOURCES = \
+    src/tests/cmocka/test_find_uid.c \
+    src/util/find_uid.c \
+    src/util/atomic_io.c \
+    src/util/strtonum.c
+test_find_uid_CFLAGS = \
+    $(AM_CFLAGS) \
+    $(TALLOC_CFLAGS) \
+    $(DHASH_CFLAGS) \
+    --coverage 
+test_find_uid_LDADD = \
+    libsss_debug.la \
+    $(TALLOC_LIBS) \
+    $(DHASH_LIBS) \
+    $(CMOCKA_LIBS) \
+    libsss_util.la 
 endif
 
 noinst_PROGRAMS = pam_test_client
